package com.engibank.util;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Database {

  private final EntityManager em;
  private final EntityManagerFactory emFactory;

  public Database() {
    emFactory = Persistence.createEntityManagerFactory("engibank_JPA");
    em = emFactory.createEntityManager();
  }

  public EntityManager getEntityManager() {
    return em;
  }

  public void close() {
    em.close();
    emFactory.close();
  }
}
